
From: Tom Rini <trini@kernel.crashing.org>

- Remove saved_command_line (and saving of the command line).
- Call parse_early_options


---

 25-akpm/arch/h8300/kernel/setup.c       |    7 +++----
 25-akpm/arch/h8300/kernel/vmlinux.lds.S |    5 +++++
 25-akpm/include/asm-h8300/setup.h       |    7 ++++++-
 3 files changed, 14 insertions(+), 5 deletions(-)

diff -puN arch/h8300/kernel/setup.c~early-param-h8300 arch/h8300/kernel/setup.c
--- 25/arch/h8300/kernel/setup.c~early-param-h8300	2004-04-01 02:06:05.730508232 -0800
+++ 25-akpm/arch/h8300/kernel/setup.c	2004-04-01 02:06:05.736507320 -0800
@@ -33,6 +33,7 @@
 
 #include <asm/setup.h>
 #include <asm/irq.h>
+#include <asm/setup.h>
 
 #ifdef CONFIG_BLK_DEV_INITRD
 #include <asm/pgtable.h>
@@ -60,8 +61,7 @@ unsigned long memory_end;
 
 struct task_struct *_current_task;
 
-char command_line[512];
-char saved_command_line[512];
+char command_line[COMMAND_LINE_SIZE];
 
 extern int _stext, _etext, _sdata, _edata, _sbss, _ebss, _end;
 extern int _ramstart, _ramend;
@@ -166,8 +166,7 @@ void __init setup_arch(char **cmdline_p)
 #endif
 	/* Keep a copy of command line */
 	*cmdline_p = &command_line[0];
-	memcpy(saved_command_line, command_line, sizeof(saved_command_line));
-	saved_command_line[sizeof(saved_command_line)-1] = 0;
+	parse_early_options(cmdline_p);
 
 #ifdef DEBUG
 	if (strlen(*cmdline_p)) 
diff -puN arch/h8300/kernel/vmlinux.lds.S~early-param-h8300 arch/h8300/kernel/vmlinux.lds.S
--- 25/arch/h8300/kernel/vmlinux.lds.S~early-param-h8300	2004-04-01 02:06:05.731508080 -0800
+++ 25-akpm/arch/h8300/kernel/vmlinux.lds.S	2004-04-01 02:06:05.737507168 -0800
@@ -132,6 +132,11 @@ SECTIONS
 		*(.init.setup)
 	. = ALIGN(0x4) ;
 	___setup_end = .;
+
+	__early_begin = .;
+		*(__early_param)
+	__early_end = .;
+
 	___start___param = .;
 		*(__param)
 	___stop___param = .;
diff -puN include/asm-h8300/setup.h~early-param-h8300 include/asm-h8300/setup.h
--- 25/include/asm-h8300/setup.h~early-param-h8300	2004-04-01 02:06:05.733507776 -0800
+++ 25-akpm/include/asm-h8300/setup.h	2004-04-01 02:06:05.737507168 -0800
@@ -1 +1,6 @@
-/* Nothing do */
+#ifndef __H8300_SETUP_H
+#define __H8300_SETUP_H
+
+#define COMMAND_LINE_SIZE	512
+
+#endif

_
